Execute a SPARQL query or update
post
/database/rdf/networks/{network_owner},{network_name}/models/{model_name}/sparql/1.1
Executes a SPARQL update or executes a SPARQL query and returns the result in JSON format (application/sparql-results+json) or XML format (application/sparql-results+xml) for SPARQL SELECT and ASK queries, or N-Triples format (application/n-triples) for CONSTRUCT and DESCRIBE queries. A client requires SQL Developer or RDF Developer role to invoke this servce.
Request
Path Parameters
-
model_name(required): string
The name of the RDF model.Example:
M1 -
network_name(required): string
The name of the RDF network.Example:
NET1 -
network_owner(required): string
The owner of the RDF network.Example:
RDFUSER
Query Parameters
-
default-graph-uri: string
A URL-encoded IRI identifying a named graph that should be included in the DEFAULT graph of the query dataset.Example:
http%3A%2F%2Fwww.example.oracle.com%2Fg1 -
match_model: string
The name of the model to evaluate the WHERE portion of a SPARQL update against. The default is the value of the modelName path parameter.Example:
M2 -
match_options: string
The options string to use when evaluating the WHERE portion of a SPARQL update.Example:
ALLOW_DUP=T -
named-graph-uri: string
A URL-encoded IRI identifying a named graph that should be included in the set of named graphs for the query dataset.Example:
http%3A%2F%2Fwww.example.oracle.com%2Fg2 -
options: string
A URL-encoded options string.Example:
ALLOW_DUP=T ALL_LINK_HASH -
using-graph-uri: string
A URL-encoded IRI identifying a named graph that should be included in the DEFAULT graph of the update dataset.Example:
http%3A%2F%2Fwww.example.oracle.com%2Fg1 -
using-named-graph-uri: string
A URL-encoded IRI identifying a named graph that should be included in the set of named graphs for the update dataset.Example:
http%3A%2F%2Fwww.example.oracle.com%2Fg1
Supported Media Types
- application/sparql-query
- application/sparql-update
- application/x-www-form-urlencoded
Root Schema : schema
Type:
stringAn unencoded SPARQL update string
Root Schema : schema
Type:
stringAn unencoded SPARQL query string
Root Schema : schema
Type:
stringA POST request with URL-encoded, ampersand-separated query parameters for SPARQL query (exactly one query parameter, zero or more named-graph-uri parameters, and zero or more default-graph-uri parameters) or SPARQL update (exactly one update parameter, zero or more using-graph-uri parameters, and zero or more using-named-graph-uri parameters)
Response
Supported Media Types
- application/sparql-results+xml
- application/sparql-results+json
- application/n-triples
200 Response
Successful query or update execution.
Root Schema : sparql
Type:
Show Source
object-
boolean: boolean
Example:
true -
head: object
head
-
results: object
results
-
xmlns: string
Example:
http://www.w3.org/2005/sparql-results#
Nested Schema : binding
Type:
Show Source
object-
bnode: string
Example:
bn1 -
literal: object
literal
-
name: string
Example:
s -
uri: string
Example:
http://www.example.oracle.com/john
Nested Schema : literal
Type:
Show Source
object-
datatype: string
Example:
http://www.w3.org/2001/XMLSchema#integer -
xml:lang: string
Example:
en
Example:
John